curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/v2/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previewDeploymentInstanceId": "plugin_instance_preview123",
"productionDeploymentInstanceId": "plugin_instance_prod123",
"storeId": "store_abc123"
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Promote a preview instance to production (commit)
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/v2/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previewDeploymentInstanceId": "plugin_instance_preview123",
"productionDeploymentInstanceId": "plugin_instance_prod123",
"storeId": "store_abc123"
}
'{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}